libshevek

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
shevek::dir::file Struct Reference

Information about a single file in a directory. More...

`#include <dir.hh>`

List of all members.

## Public Member Functions

bool | operator< (file const &that) const
| Sorting operator, needed for putting them in a std::set.

## Public Attributes

std::string | name
| The name of the file.
bool | is_dir
| Whether it is a directory.
uid_t | uid
| The user-ID of the file.
gid_t | gid
| The group-ID of the file.
off_t | size
| The size of the file.

## Detailed Description

Information about a single file in a directory.

The documentation for this struct was generated from the following file:

- src/dir.hh